Bug 193110 - Review Request: python-sexy
Review Request: python-sexy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-25 07:07 EDT by Haïkel Guémar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-26 10:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Haïkel Guémar 2006-05-25 07:07:51 EDT
Spec URL: http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SPECS/python-sexy.spec
SRPM URL: http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SRPMS/python-sexy-0.1.8-1.src.rpm
Description: python bindings to libsexy
This is one of my first packages, I need a sponsor
Comment 1 Brian Pepple 2006-05-25 09:42:29 EDT
Couple of quick notes:

1. Drop the Requires on libsexy, since the soname from the BR on libsexy-devel
will pull this in.
2. Drop the BR on python, since you have a BR on python-devel which will pull
this in.
3. Look at the python packaging guidelines.  A lot of issues with the spec (in
particular the %files section) can be fixed with the suggestions from there.
http://fedoraproject.org/wiki/Packaging/Python
Comment 2 Haïkel Guémar 2006-05-27 09:37:36 EDT
Thanks for your pieces of advice.
I uploaded new spec and srpm:
http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SRPMS/python-sexy-0.1.8-2.src.rpm
Comment 3 Kevin Fenzi 2006-08-16 22:23:04 EDT
Greetings. Here's a review:

OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
94273fc16a35123f1d3003f1080bf2c0  sexy-python-0.1.8.tar.gz
94273fc16a35123f1d3003f1080bf2c0  sexy-python-0.1.8.tar.gz.1
See below - Package compiles and builds on at least one arch.
n/a - Package needs ExcludeArch
OK - BuildRequires correct
n/a - Spec handles locales/find_lang
n/a - Spec has needed ldconfig in post and postun
n/a - Package is relocatable and has a reason to be.
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
n/a - -doc subpackage needed/used.
n/a - Packages %doc files don't affect runtime.
n/a - Headers/static libs in -devel subpackage.
n/a - .pc files in -devel subpackage.
n/a - .so files in -devel subpackage.
n/a - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.
n/a - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

SHOULD Items:

See below - Should include License or ask upstream to include it.
See below - Should build in mock.

Issues:

1. The spec says the license is LGPL, but the COPYING file is the GPL,
and there's nothing else that says it's LGPL. Can you get upstream to
clarify?

2. No need to include the generic INSTALL document. There is no useful
information in it.

3. Package doesn't built in mock. Missing BuildRequires: libxml2-devel.

4. python_sitelib isn't used, can remove the first line of the spec where
it's defined?

5. rpmlint output:

W: python-sexy setup-not-quiet
setup-not-quiet :
You should use -q to have a quiet extraction of the source tarball, as this
generate useless lines of log ( for buildbot, for example )

(removing FE-NEEDSPONSOR as you were already sponsored in: 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=193109 )
Comment 4 Haïkel Guémar 2006-08-17 10:08:59 EDT
Hi

* updated spec: http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SPECS/python-sexy.spec
* updated srpm:
http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SRPMS/python-sexy-0.1.8-1.src.rpm
* Issues:
1/ I send a mail to Christian Hammond and Raphael Slinckx the authors of the
bindings to clear that issue. For the moment, the spec says it's GPL waiting
sexy-python maintainers answer.
2/ That's OK for me, done.
3/ Tested under Mock: it builds fine now.
4/ That's OK for me, done.
5/ Thank you for the advice. 
rpmlint output :
[build@localhost result]$ rpmlint -i python-sexy-0.1.8-4.i386.rpm
[build@localhost result]$ 
Comment 5 Haïkel Guémar 2006-08-17 11:10:42 EDT
wrong URL for the srpm:
http://darkenphoenix.free.fr/RPMS/RPMS/Extras/SRPMS/python-sexy-0.1.8-4.src.rpm
Comment 6 Kevin Fenzi 2006-08-21 14:40:05 EDT
Issues 2-5 look good and corrected. 

I would prefer to have clarification on the License before approving the 
package. I would be unfortunate for us to try and distribute it under the wrong 
license. 

Any word from the upstream authors on License issues?
Comment 7 Haïkel Guémar 2006-08-21 15:22:34 EDT
I got an answer from Christian Hammond 08/17 , he thinks that all bindings to
libesexy should be licensed under LGPL, but since he doesn't hold copyright on
all the code it's up to Raphael Slinckx who still hasn't answered my mail.
If he hasn't answered later this week, I'll ping him again.
Comment 8 Haïkel Guémar 2006-08-24 19:44:52 EDT
I've talked to Raphael Slinckx on IRC and he agrees that python-sexy should be
under LGPL. I've mailed Christian Hammond in order to update the license file on
svn.
Comment 9 Kevin Fenzi 2006-08-24 21:15:22 EDT
Excellent. Thats the last blocker I saw, so this package is APPROVED. 

Remember to close this bug with NEXTRELEASE once it's imported and built. 

Comment 10 Haïkel Guémar 2006-08-26 10:53:24 EDT
It has been imported and it builds fine on all supported platforms.

Note You need to log in before you can comment on or make changes to this bug.